{% extends "baseAdmin.html" %}
{% load static %}
{% block titulo %}
  Verificacion de Cierre
{% endblock titulo %}
{% block content1 %}
    <div class="container">
      
        <div class="row">
          <div class="col-md-12 col-sm-12" >
              <div class="panel panel-primary">
                <div class="panel-heading"> <strong>ELIMINAR Y ACTUALIZAR CIERRES</strong></div>
                <div class="panel-body">
                <p></p>   
           
            <div class="modal-body">
              <div class="row">
                <div class="col-md-3" id="divOficina"> 
                  <strong>Oficina</strong> 
                  <select class="form-control" id="ComboOficina" >
                  </select>
                </div> 
                 <div class="col-md-3" id="divCaja"> 
                  <strong>Caja</strong>  
                  <select class="form-control" id="ComboCaja" >               
                    </select>
                </div>
                <div class="col-md-3" id="divBase"> 
                  <strong>Fecha Inicio</strong>  
                  <input class="form-control" id="txtfechai" type="text" />    
                </div> 
                <div class="col-md-3" id="divBase"> 
                  <strong>Fecha Fin</strong>  
                  <input class="form-control" id="txtfechaf" type="text" />    
                </div> 
              </div>
              <p></p>
           
            </div>
            <div class="modal-footer">
              <div class="row">
                <div class="col-md-4 col-md-offset-2">
                    <button type="button" class="btn btn-danger" id="btnEliminar"><i class="fa fa-times"></i> Eliminar </button>
                    <button type="button" class="btn btn-danger" id="btnEliminarM"><i class="fa fa-times"></i> Eliminar Material</button> 
                </div>
                <div class="col-md-4">
                   <button type="button" class="btn btn-primary" id="btnActualizar"><i class="fa fa-update"></i> Actualizar</button>
                   <button type="button" class="btn btn-primary" id="btnActualizarM"><i class="fa fa-update"></i> Actualizar Material</button>
                </div>
              </div>
            </div> 
                    
                  </div>
                </div>
              </div>
          </div>
        </div>
    </div>

   
     <script type="text/javascript">
      
        $('#txtfechai').datetimepicker({
          locale: 'es',
          format: 'YYYY-MM-DD'
        });

         $('#txtfechaf').datetimepicker({
          locale: 'es',
          format: 'YYYY-MM-DD'
        });

        $(document).ready(function(){
          ajax_saldo_oficinas();
        });

        $("#ComboOficina").change(function(){
          
          ajax_caja($("#ComboOficina").val()); 
        });

        $("#btnEliminar").click(function(){
            ajax_eliminar_cierre();
        });
      
        $("#btnActualizar").click(function(){
            ajax_actualizar_cierre(); 
        });

        function ajax_eliminar_cierre(){
           $.ajax({
            url:'/eliminar_cierre_admin_ajax/',
            data:{'idCaja':$("#ComboCaja").val(),'fechai':$("#txtfechai").val(),'fechaf':$("#txtfechaf").val()},
            type:'GET',
            dataType:'text',
            success: function(data){
              if(data=='exito'){
                 bootbox.alert("Se eliminaron los cierres correctamente entre las fechas seleccionadas :)");
              }else{
                 bootbox.alert(data);
              }
              
              console.log(data);

            },
            error: function(xhr, textStatus, errorThrown) {

                        console.log(xhr.responseText);
                },
          });

        }


        function ajax_actualizar_cierre(){
           $.ajax({
            url:'/actualizarCieres_caja_admin/',
            data:{'idCaja':$("#ComboCaja").val(),'fechai':$("#txtfechai").val(),'fechaf':$("#txtfechaf").val()},
            type:'GET',
            dataType:'text',
            success: function(data){
              if(data=='exito'){
                 bootbox.alert("Se crearon los cierres correctamente entre las fechas seleccionadas :)");
              }else{
                 bootbox.alert(data);
              }
              
              console.log(data);

            },
            error: function(xhr, textStatus, errorThrown) {

                        console.log(xhr.responseText);
                },
          });

        }
        //---------------------------
        $("#btnEliminarM").click(function(){
            ajax_eliminar_cierre_material();
        });
      
        $("#btnActualizarM").click(function(){
            ajax_actualizar_cierre_material(); 
        });
        function ajax_eliminar_cierre_material(){
           $.ajax({
            url:'/eliminar_cierre_material_admin_ajax_view/',
            data:{'idCaja':$("#ComboCaja").val(),'fechai':$("#txtfechai").val(),'fechaf':$("#txtfechaf").val()},
            type:'GET',
            dataType:'text',
            success: function(data){
              if(data=='exito'){
                 bootbox.alert("Se eliminaron los cierres correctamente entre las fechas seleccionadas :)");
              }else{
                 bootbox.alert(data);
              }
              
              console.log(data);

            },
            error: function(xhr, textStatus, errorThrown) {

                        console.log(xhr.responseText);
                },
          });

        }
        function ajax_actualizar_cierre_material(){
           $.ajax({
            url:'/actualizarCieresMaterial_caja_admin/',
            data:{'idCaja':$("#ComboCaja").val(),'fechai':$("#txtfechai").val(),'fechaf':$("#txtfechaf").val()},
            type:'GET',
            dataType:'text',
            success: function(data){
              if(data=='exito'){
                 bootbox.alert("Se crearon los cierres correctamente entre las fechas seleccionadas :)");
              }else{
                 bootbox.alert(data);
              }
              
              console.log(data);

            },
            error: function(xhr, textStatus, errorThrown) {

                        console.log(xhr.responseText);
                },
          });

        }
        //---------------------------
       function ajax_saldo_oficinas(){
          $.ajax({
            url:'/ver_saldo_oficinas_admin_ajax/',
            type:'GET',
            dataType:'json',
            success: function(data){
              Aux = data; 
              var html1="";
              for(var i=0;i<data.length;i++){
                html1 += '<option value="'+data[i].pk+'" data-value="'+data[i].be+'">'+data[i].of+'</option>';
 
              }                     
              $('#ComboOficina').html(html1);
              ajax_caja($("#ComboOficina").val());

            },
            error: function(xhr, textStatus, errorThrown) {

                        console.log(xhr.responseText);
                },
          });
        };
        

        function ajax_caja(idOf){
          $.ajax({
            url:'/Admin/CajasPersonalConfig_ajax/',
            data:{'idOfi':idOf},
            type:'GET',
            dataType:'json',
            success: function(data){
              Aux3 = data;
              var html_caja="";
              
              for(var i=0;i<data.length;i++){
                html_caja += '<option value="'+data[i].c_id+'">'+data[i].c_nombre+'</option>';
              } 

              $('#ComboCaja').html(html_caja);
            },
            error: function(xhr, textStatus, errorThrown) {

                        console.log(xhr.responseText);
                },
          });
        };


    </script>
{% endblock content1 %}